class astrad011::mysql-server {

        exec { "add depot":
                command     => "echo 'deb http://backports.debian.org/debian-backports lenny-backports main' >> /etc/apt/sources.list;wget http://www.dotdeb.org/dotdeb.gpg;cat dotdeb.gpg | apt-key add -",
                onlyif      => ["test `cat /etc/apt/sources.list|grep lenny-backports|wc -l` -eq 0"]
        }

        exec { "aptitude update":
                require     => [Exec["add depot"]],
                command     => "/usr/bin/apt-get update",
                onlyif      => "/bin/sh -c '[ ! -f /var/cache/apt/pkgcache.bin ] || /usr/bin/find /etc/apt/* -cnewer /var/cache/apt/pkgcache.bin | /bin/grep . > /dev/null'",
        }

        exec { "mysql-common install":
                require     => [Exec["add depot"]],
                command     => "apt-get -t lenny-backports install \"mysql-common\"",
                onlyif      => ["test `dpkg -l|grep mysql-common|grep 5.1|wc -l` -eq 0"]
        }

        package {  "mysql-server-5.1":
                ensure      => installed,
                require     => [Exec['aptitude update'],Exec["mysql-common install"]],
                notify      => Exec["Set MySQL root password"]
        }

        service { "mysql":
                ensure  => running,
                enable  => true,
                name    => "mysql",
                require => Package["mysql-server-5.1"]
        }


        exec { "Set MySQL root password":
                subscribe   => Package["mysql-server-5.1"],
                refreshonly => true,
                unless      => "mysqladmin -uroot -p$mysql_root_pass status",
                path        => "/bin:/usr/bin",
                command     => "mysqladmin -uroot password $mysql_root_pass",
                require     => Service["mysql"],
        }
}
